import { ApiBase } from './ApiBase';
import { StyledColumnApi } from '../StyledColumnApi';
import { StyledColumn, StyledColumnState } from '../../AdaptableState/StyledColumnState';
import { AdaptableColumn, LayoutExtendedConfig } from '../../types';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
import { StyledColumnInternalApi } from '../Internal/StyledColumnInternalApi';
export declare class StyledColumnApiImpl extends ApiBase implements StyledColumnApi {
    internalApi: StyledColumnInternalApi;
    constructor(_adaptable: IAdaptable);
    getStyledColumnState(): StyledColumnState;
    getStyledColumns(config?: LayoutExtendedConfig): StyledColumn[];
    getStyledColumnById(id: StyledColumn['Uuid'], config?: LayoutExtendedConfig): StyledColumn;
    getStyledColumnForColumnId(columnId: StyledColumn['ColumnId'], config?: LayoutExtendedConfig): StyledColumn;
    getActiveStyledColumns(config?: LayoutExtendedConfig): StyledColumn[];
    getSuspendedStyledColumns(config?: LayoutExtendedConfig): StyledColumn[];
    deleteStyledColumn(styledColumn: StyledColumn): void;
    deleteAllStyledColumns(): void;
    addStyledColumn(styledColumn: StyledColumn): void;
    isSparklineStyleStyledColumn(column: AdaptableColumn): boolean;
    getActiveStyledColumnForColumn(column: AdaptableColumn): StyledColumn | undefined;
    hasPercentBarStyle(columnId: string): boolean;
    hasGradientStyle(columnId: string): boolean;
    canDisplaySparklines(): boolean;
    suspendStyledColumn(styledColumn: StyledColumn): void;
    unSuspendStyledColumn(styledColumn: StyledColumn): void;
    suspendAllStyledColumn(): void;
    unSuspendAllStyledColumn(): void;
    openStyledColumnSettingsPanel(): void;
}
